Foxit PDF SDK

Instance Methods | Properties | List of all members
FSMenuItemConfig Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithMenu_item_config:
| Constructor, with another menu item config object. More...
(void) | - set:user:parent:pos:pos_str:exec:enable:marked:
| Set values. More...

## Properties
NSString * | enable
| (Only used by
NSString * | exec
| (Only used by
NSString * | marked
| (Only used by
NSString * | name
| The language-independent name of the menu item.
NSString * | parent
| The name of the parent menu item. Its submenu will have the new menu item added to it.
int | pos
| The position within the submenu to locate the new menu item.
NSString * | pos_str
| (Only used by
NSString * | user
| The user string (language-dependent name) to display as the menu item name.

## Detailed Description

This class represents menu item config.

## Method Documentation

## ◆ initWithMenu_item_config:()

- (id) initWithMenu_item_config: |  | (FSMenuItemConfig*) | menu_item_config |

Constructor, with another menu item config object.

Parameters

  [in] | menu_item_config | Another menu item config object.

## ◆ set:user:parent:pos:pos_str:exec:enable:marked:()

- (void) set: |  | (NSString *) | name
user: |  | (NSString *) | user
parent: |  | (NSString *) | parent
pos: |  | (int) | pos
pos_str: |  | (NSString *) | pos_str
exec: |  | (NSString *) | exec
enable: |  | (NSString *) | enable
marked: |  | (NSString *) | marked

Set values.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

Returns
  None.